package com.liquidnet.service.sweet.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.dto.SweetManualDto;
import com.liquidnet.service.sweet.entity.SweetManual;

/**
 * <p>
 * 电子宣传手册表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-07-23
 */
public interface ISweetManualService extends IService<SweetManual> {

    ResponseDto<PageInfo<SweetManualDto>> getManualList(int page, int size, String name);

    ResponseDto<SweetManualDto> details( String manualId);

    //关闭开启
    ResponseDto<Boolean> changeStatus(String manualId, String performancesId, Integer status);

    //发布与否
    ResponseDto<Boolean> changeRelease(String manualId, Integer isRelease);

    ResponseDto<Boolean> changeReleaseManual(String manualId, Integer isReleaseManual);
}
